﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Data;
using Telerik.Web.UI;
using System.Data.SqlClient;
using System.Configuration;
using System.IO;
using System.Web.UI.WebControls;
using System.Web.UI;

/// <summary>
/// Summary description for RotatorWebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
 [System.Web.Script.Services.ScriptService]
public class RotatorWebService : System.Web.Services.WebService {

    public RotatorWebService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

	static DataTable DB_GetDataTable(string query, string key)
	{
		DataTable information = new DataTable();

		SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["TelerikConnectionString"].ConnectionString);
		try
		{
			conn.Open();

			SqlDataAdapter adapter = new SqlDataAdapter();

			try
			{
				adapter.SelectCommand = new SqlCommand(query, conn);
				adapter.SelectCommand.Parameters.AddWithValue("@id", key);
				adapter.Fill(information);
			}
			finally
			{
				if (!Object.Equals(adapter.SelectCommand, null)) adapter.SelectCommand.Dispose();
			}
		}
		finally
		{
			if (conn.State == ConnectionState.Open)
			{
				conn.Close();
			}
		}
		return information;
	}

	private DataTable data = null;
	private int itemCount = 5;

    [WebMethod]
	public RadRotatorItemData[] GetRotatorData(int itemIndex)
	{
		if (itemIndex >= 50) return null;
		List<RadRotatorItemData> result = new List<RadRotatorItemData>();
		if (data == null)
		{
			string query = "SELECT TOP (50) * FROM [CustomerPhotos]";
			data = DB_GetDataTable(query, "");
		}

		for (int i = itemIndex; i < itemIndex + itemCount; i++)
		{
			RadRotatorItemData item = new RadRotatorItemData();
			StringWriter sw = new StringWriter();
			HtmlTextWriter writer = new HtmlTextWriter(sw);


			RadBinaryImage binImage = new RadBinaryImage();
			binImage.DataValue = (byte[])data.Rows[i][11];
			binImage.RenderControl(writer);
			item.Html = String.Format("<img src='{0}' style='width:110px;height:135px;' alt=''/>", binImage.ImageUrl.Substring(2));
			result.Add(item);
		}
		return result.ToArray();
	}
    
}
